import { Comment } from '../types';
export type CommentContextType<T extends Comment = Comment> = {
    comments: T[];
    addComment: (comment: T) => void;
    deleteComment: (commentId: string) => void;
    setComments: React.Dispatch<React.SetStateAction<T[]>>;
};
export declare const CommentContext: import("react").Context<CommentContextType<Comment> | null>;
export declare const useCommentContext: <T extends Comment>() => CommentContextType<T>;
