import { createContext, useContext } from 'react';
export const CommentContext = createContext(null);
export const useCommentContext = () => {
    const context = useContext(CommentContext);
    if (!context) {
        throw new Error('useCommentContext must be used within a CommentProvider');
    }
    return context;
};
//# sourceMappingURL=CommentContext.js.map