import { ReactNode } from 'react';
import { CommentSize } from '../types';
type CommentPositionContextType = {
    registerComment: (id: string) => void;
    unregisterComment: (id: string) => void;
    getAdjustedTop: (id: string) => number;
    updateCommentSize: (id: string, size: CommentSize) => void;
};
export declare const CommentPositionProvider: ({ children, }: {
    children: ReactNode;
}) => import("react/jsx-runtime").JSX.Element;
export declare const useCommentPositionContext: () => CommentPositionContextType;
export {};
